//CALL2BLD JOB <job parameters>
//**********************************************************************
//* Licensed materials - Property of IBM
//* 5755-AC5 5724-T07 Copyright IBM Corp. 2023
//* All rights reserved
//* US Government users restricted rights  -  Use, duplication or
//* disclosure restricted by GSA ADP schedule contract with IBM Corp.
//*
//* A JCL that compiles and links ZUnit sample programs,
//* CALL02.cbl, SUB02A and SUB02B.
//* You should submit this JCL to remote system
//* before proceding sample scenario.
//*
//* CAUTION: This is neither a JCL procedure nor a complete job.
//* Before using this job step, you will have to make the following
//* modifications:
//*
//* 1) Add the job parameters to meet your system requirements.
//*
//* 2) Provide, in variable HLQ, the high-level qualifier(s) of the
//*    allocated data sets (default is your user ID).
//**********************************************************************
//* YOU CAN CHANGE HLQ FOR PDS
//        SET HLQ=&SYSUID.
//*
//* COMPILE CALL02, SUB02A AND SUB02B
//STP0000 EXEC PROC=ELAXFCOC,
// CICS=,
// DB2=,
// COMP=,
// PARM.COBOL=('LIB',
// 'SOURCE',
// 'TEST',
// 'LIST')
//COBOL.SYSPRINT DD DISP=SHR,
//        DSN=&HLQ..COBOL.LISTING(CALL02)
//COBOL.SYSDEBUG DD DISP=SHR,
//        DSN=&HLQ..COBOL.SYSDEBUG(CALL02)
//COBOL.SYSLIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(CALL02)
//COBOL.SYSLIB DD DISP=SHR,
//        DSN=&HLQ..COBOL.COPYLIB
//COBOL.SYSXMLSD DD DUMMY
//COBOL.SYSIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.SOURCE.COBOL(CALL02)
//*
//STP0001 EXEC PROC=ELAXFCOC,
// CICS=,
// DB2=,
// COMP=,
// PARM.COBOL=('LIB',
// 'SOURCE',
// 'TEST',
// 'LIST')
//COBOL.SYSPRINT DD DISP=SHR,
//        DSN=&HLQ..COBOL.LISTING(SUB02A)
//COBOL.SYSDEBUG DD DISP=SHR,
//        DSN=&HLQ..COBOL.SYSDEBUG(SUB02A)
//COBOL.SYSLIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(SUB02A)
//COBOL.SYSLIB DD DISP=SHR,
//        DSN=&HLQ..COBOL.COPYLIB
//COBOL.SYSXMLSD DD DUMMY
//COBOL.SYSIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.SOURCE.COBOL(SUB02A)
//*
//STP0002 EXEC PROC=ELAXFCOC,
// CICS=,
// DB2=,
// COMP=,
// PARM.COBOL=('LIB',
// 'SOURCE',
// 'TEST',
// 'LIST')
//COBOL.SYSPRINT DD DISP=SHR,
//        DSN=&HLQ..COBOL.LISTING(SUB02B)
//COBOL.SYSDEBUG DD DISP=SHR,
//        DSN=&HLQ..COBOL.SYSDEBUG(SUB02B)
//COBOL.SYSLIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(SUB02B)
//COBOL.SYSLIB DD DISP=SHR,
//        DSN=&HLQ..COBOL.COPYLIB
//COBOL.SYSXMLSD DD DUMMY
//COBOL.SYSIN DD DISP=SHR,
//        DSN=&HLQ..COBOL.SOURCE.COBOL(SUB02B)
//*
//* LINK DYNAMICALLY
//LKED0 EXEC PROC=ELAXFLNK,
// PARM.LINK=('REUS')
//LINK.OBJ0000 DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(CALL02)
//LINK.OBJ0002 DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(SUB02B)
//LINK.SYSLIN DD *
     INCLUDE OBJ0000
     INCLUDE OBJ0002
/*
//LINK.SYSLMOD   DD  DISP=SHR,
//        DSN=&HLQ..COBOL.LOAD(CALL02)
//*
//LKED1 EXEC PROC=ELAXFLNK,
// PARM.LINK=('REUS')
//LINK.OBJ0001 DD DISP=SHR,
//        DSN=&HLQ..COBOL.OBJ(SUB02A)
//LINK.SYSLIN DD *
     INCLUDE OBJ0001
/*
//LINK.SYSLMOD   DD  DISP=SHR,
//        DSN=&HLQ..COBOL.LOAD(SUB02A)
//
